Skip to content

FreeType » Docs » Core API » FreeType Version

# FreeType Version

## Synopsis

Note that those functions and macros are of limited use because even a new release of FreeType with only documentation changes increases the version number.

## FT_Library_Version

Defined in FT_FREETYPE_H (freetype/freetype.h).

      FT_EXPORT( void )
      FT_Library_Version( FT_Library   library,
                          FT_Int      *amajor,
                          FT_Int      *aminor,
                          FT_Int      *apatch );

Return the version of the FreeType library being used. This is useful when dynamically linking to the library, since one cannot use the macros `FREETYPE_MAJOR`, `FREETYPE_MINOR`, and `FREETYPE_PATCH`.

#### input

library | A source library handle.

#### output

amajor | The major version number.
aminor | The minor version number.
apatch | The patch version number.

#### note

The reason why this function takes a `library` argument is because certain programs implement library initialization in a custom way that doesn't use `FT_Init_FreeType`.

In such cases, the library version might not be available before the library object has been created.

## FT_Face_CheckTrueTypePatents

Defined in FT_FREETYPE_H (freetype/freetype.h).

      FT_EXPORT( FT_Bool )
      FT_Face_CheckTrueTypePatents( FT_Face  face );

Deprecated, does nothing.

#### input

face | A face handle.

#### return

Always returns false.

#### note

Since May 2010, TrueType hinting is no longer patented.

#### since

2.3.5

## FT_Face_SetUnpatentedHinting

Defined in FT_FREETYPE_H (freetype/freetype.h).

      FT_EXPORT( FT_Bool )
      FT_Face_SetUnpatentedHinting( FT_Face  face,
                                    FT_Bool  value );

Deprecated, does nothing.

#### input

face | A face handle.
value | New boolean setting.

#### return

Always returns false.

#### note

Since May 2010, TrueType hinting is no longer patented.

#### since

2.3.5

## FREETYPE_XXX

Defined in FT_FREETYPE_H (freetype/freetype.h).

    #define FREETYPE_MAJOR  2
    #define FREETYPE_MINOR  10
    #define FREETYPE_PATCH  4

These three macros identify the FreeType source code version. Use `FT_Library_Version` to access them at runtime.

#### values

FREETYPE_MAJOR | The major version number.
FREETYPE_MINOR | The minor version number.
FREETYPE_PATCH | The patch level.

#### note

The version number of FreeType if built as a dynamic link library with the ‘libtool’ package is not controlled by these three macros.